<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.3"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>My Project: include/gamestates/PauseMenu.hpp Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectalign">
   <div id="projectname">My Project
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.3 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search",'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_d44c64559bbebec7f509842c48db8b23.html">include</a></li><li class="navelem"><a class="el" href="dir_a965fb386e4455e156591f466d68ffdd.html">gamestates</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle"><div class="title">PauseMenu.hpp</div></div>
</div><!--header-->
<div class="contents">
<a href="PauseMenu_8hpp.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="preprocessor">#pragma once</span></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span><span class="preprocessor">#include &quot;<a class="code" href="GameState_8hpp.html">GameState.hpp</a>&quot;</span></div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno">    3</span> </div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span><span class="keyword">namespace </span><a class="code hl_namespace" href="namespacegg.html">gg</a></div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span>{</div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span> </div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno"><a class="line" href="classgg_1_1PauseMenu.html">    7</a></span><span class="keyword">class </span><a class="code hl_class" href="classgg_1_1PauseMenu.html">PauseMenu</a> : <span class="keyword">public</span> <a class="code hl_class" href="classgg_1_1GameState.html">GameState</a></div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno">    8</span>{</div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span>  <span class="keyword">public</span>:</div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno"><a class="line" href="classgg_1_1PauseMenu.html#ab88f4d1c1633a475f80a87b51b49792f">   10</a></span>    <a class="code hl_function" href="classgg_1_1PauseMenu.html#ab88f4d1c1633a475f80a87b51b49792f">PauseMenu</a>();</div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno"><a class="line" href="classgg_1_1PauseMenu.html#abea83a2c2f378bfe188365cc173c0d0f">   11</a></span>    <a class="code hl_function" href="classgg_1_1PauseMenu.html#abea83a2c2f378bfe188365cc173c0d0f">~PauseMenu</a>() <span class="keyword">override</span>;</div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span> </div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno"><a class="line" href="classgg_1_1PauseMenu.html#a065f00cadb9472b37fbc5a2630685eff">   13</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="classgg_1_1PauseMenu.html#a065f00cadb9472b37fbc5a2630685eff">Enter</a>() <span class="keyword">override</span>;</div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno"><a class="line" href="classgg_1_1PauseMenu.html#a485e461c83c2f82453fa77c558109083">   14</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="classgg_1_1PauseMenu.html#a485e461c83c2f82453fa77c558109083">Exit</a>() <span class="keyword">override</span>;</div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span> </div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno"><a class="line" href="classgg_1_1PauseMenu.html#aa42145d8fed4d72aeb6906153ab28445">   16</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="classgg_1_1PauseMenu.html#aa42145d8fed4d72aeb6906153ab28445">OnEvent</a>(<a class="code hl_class" href="classgg_1_1IEvent.html">IEvent</a> *e) <span class="keyword">override</span>;</div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno"><a class="line" href="classgg_1_1PauseMenu.html#ac7aac85866029aea43245f2bfcd8a554">   17</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="classgg_1_1PauseMenu.html#ac7aac85866029aea43245f2bfcd8a554">Update</a>() <span class="keyword">override</span>;</div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span> </div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span>  <span class="keyword">protected</span>:</div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno"><a class="line" href="classgg_1_1PauseMenu.html#af3fda584245cd84b8cf1f0d593661516">   20</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="classgg_1_1PauseMenu.html#af3fda584245cd84b8cf1f0d593661516">draw</a>(sf::RenderTarget &amp;target, sf::RenderStates states) <span class="keyword">const override</span>;</div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span> </div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span>  <span class="keyword">private</span>:</div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span>    <span class="keywordtype">void</span> OnResumeEvent();</div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span>    <span class="keywordtype">void</span> OnSaveEvent();</div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span>    <span class="keywordtype">void</span> OnQuitEvent();</div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span>};</div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span>}; <span class="comment">// namespace gg</span></div>
<div class="ttc" id="aGameState_8hpp_html"><div class="ttname"><a href="GameState_8hpp.html">GameState.hpp</a></div></div>
<div class="ttc" id="aclassgg_1_1GameState_html"><div class="ttname"><a href="classgg_1_1GameState.html">gg::GameState</a></div><div class="ttdef"><b>Definition:</b> GameState.hpp:12</div></div>
<div class="ttc" id="aclassgg_1_1IEvent_html"><div class="ttname"><a href="classgg_1_1IEvent.html">gg::IEvent</a></div><div class="ttdef"><b>Definition:</b> Event.hpp:41</div></div>
<div class="ttc" id="aclassgg_1_1PauseMenu_html"><div class="ttname"><a href="classgg_1_1PauseMenu.html">gg::PauseMenu</a></div><div class="ttdef"><b>Definition:</b> PauseMenu.hpp:8</div></div>
<div class="ttc" id="aclassgg_1_1PauseMenu_html_a065f00cadb9472b37fbc5a2630685eff"><div class="ttname"><a href="classgg_1_1PauseMenu.html#a065f00cadb9472b37fbc5a2630685eff">gg::PauseMenu::Enter</a></div><div class="ttdeci">void Enter() override</div></div>
<div class="ttc" id="aclassgg_1_1PauseMenu_html_a485e461c83c2f82453fa77c558109083"><div class="ttname"><a href="classgg_1_1PauseMenu.html#a485e461c83c2f82453fa77c558109083">gg::PauseMenu::Exit</a></div><div class="ttdeci">void Exit() override</div></div>
<div class="ttc" id="aclassgg_1_1PauseMenu_html_aa42145d8fed4d72aeb6906153ab28445"><div class="ttname"><a href="classgg_1_1PauseMenu.html#aa42145d8fed4d72aeb6906153ab28445">gg::PauseMenu::OnEvent</a></div><div class="ttdeci">void OnEvent(IEvent *e) override</div></div>
<div class="ttc" id="aclassgg_1_1PauseMenu_html_ab88f4d1c1633a475f80a87b51b49792f"><div class="ttname"><a href="classgg_1_1PauseMenu.html#ab88f4d1c1633a475f80a87b51b49792f">gg::PauseMenu::PauseMenu</a></div><div class="ttdeci">PauseMenu()</div></div>
<div class="ttc" id="aclassgg_1_1PauseMenu_html_abea83a2c2f378bfe188365cc173c0d0f"><div class="ttname"><a href="classgg_1_1PauseMenu.html#abea83a2c2f378bfe188365cc173c0d0f">gg::PauseMenu::~PauseMenu</a></div><div class="ttdeci">~PauseMenu() override</div></div>
<div class="ttc" id="aclassgg_1_1PauseMenu_html_ac7aac85866029aea43245f2bfcd8a554"><div class="ttname"><a href="classgg_1_1PauseMenu.html#ac7aac85866029aea43245f2bfcd8a554">gg::PauseMenu::Update</a></div><div class="ttdeci">void Update() override</div></div>
<div class="ttc" id="aclassgg_1_1PauseMenu_html_af3fda584245cd84b8cf1f0d593661516"><div class="ttname"><a href="classgg_1_1PauseMenu.html#af3fda584245cd84b8cf1f0d593661516">gg::PauseMenu::draw</a></div><div class="ttdeci">void draw(sf::RenderTarget &amp;target, sf::RenderStates states) const override</div></div>
<div class="ttc" id="anamespacegg_html"><div class="ttname"><a href="namespacegg.html">gg</a></div><div class="ttdef"><b>Definition:</b> Application.hpp:22</div></div>
</div><!-- fragment --></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.3
</small></address>
</body>
</html>
